Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454781 - [RFE] linux applications compatible with Apples MobileMe
Summary: [RFE] linux applications compatible with Apples MobileMe
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL: http://www.mobileme.com
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 23:11 UTC by shrek-m
Modified: 2013-01-10 04:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-05 16:01:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 566644 None None None Never

Description shrek-m 2008-07-09 23:11:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
it would be great if fedora/redhat could provide compatibles
  email-,
  calendar-,
  adressbook-
applications
for apples mobile-me.



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Steps to Reproduce:
n/a

Actual Results:


Expected Results:


Additional info:

Comment 1 Bill Nottingham 2008-07-10 02:24:21 UTC
Well, I'd rather do an open version. :P

More seriously... standards? Docs?

Comment 2 shrek-m 2008-07-10 23:09:14 UTC
hmm, i am no developer,
i do not know if these infos are usefull, just my thoughts.


the wwdc 2008 keynote adress
http://events.apple.com.edgesuite.net/0806wdt546x/event/index.html


you can listen to  Scott Forstall  about the iphone 2.0 sdk (september 2008)
between 0:54-0:59 he explains the "unified push notification service" which
provides a persistent ip connection to the server. it provides 3 types of
notifications: badges?, alert sounds, textural alerts with buttons.

between 1:07-1:22 Phil Schiller gives a live demo http://me.com with safari and
iphone.


docs and standards? i do not know.
http://developer.apple.com/
http://www.apple.com/downloads/macosx/development_tools/iphonesdk.html



i do not know how all the linux-apps are communicating between each other but
could the  evolution-data-server act as a translator/proxy for MobileMe and
other linux apps?
can he push emails, contacts, calendars to evolution, thunderbird, sunbird,
openldap, postfix, dovecot, cyrus-imap, webdav, ... ?


could redhat/fedora provide a similiar service with open standards and oss?
e.g.  http://rhnoffice.redhat.com

Comment 3 shrek-m 2008-07-17 19:43:48 UTC
it seems that the protocol is microsofts exchange activesync protocol via http/https


the open source push technology - zarafa_engine / z-push - could be a
possibility for future fedora relaeses.



http://z-push.sourceforge.net/soswp/
[...] Z-push is an implementation of the ActiveSync protocol, which is used
'over-the-air' for multi platform ActiveSync devices, including Windows Mobile,
Ericsson and Nokia phones. With Z-push any groupware can be connected and synced
with these devices. [...]



http://z-push.sourceforge.net/soswp/index.php?pages_id=41&t=Developer
- Technical background
- Architecture & Performance
- Developing own backends
- Get in touch


--------
About:
Z-push is an open-source application to synchronize ActiveSync compatible PDAs
and mobile phones.
It was developed and testet with the Apache Webserver and PHP.

Zarafa:
Z-push was initially developed by Zarafa Deutschland GmbH (Germany). 
http://www.zarafaserver.de/  http://www.zarafa.com/

Comment 4 Matthew Barnes 2009-01-05 16:01:02 UTC
Moving this upstream.  For further updates, please see:
http://bugzilla.gnome.org/show_bug.cgi?id=566644


Note You need to log in before you can comment on or make changes to this bug.